<!DOCTYPE html>
<html class="" lang="en">
<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8">
<meta content="IE=edge" http-equiv="X-UA-Compatible">
<meta content="object" property="og:type">
<meta content="GitLab" property="og:site_name">
<meta content="ssh/README.md · master · CloudwickTraining / Notes" property="og:title">
<meta content="Notes from the training" property="og:description">
<meta content="https://gitlab.com/assets/gitlab_logo-7ae504fe4f68fdebb3c2034e36621930cd36ea87924c11ff65dbcb8ed50dca58.png" property="og:image">
<meta content="https://gitlab.com/CloudwickTraining/Notes/blob/master/ssh/README.md" property="og:url">
<meta content="summary" property="twitter:card">
<meta content="ssh/README.md · master · CloudwickTraining / Notes" property="twitter:title">
<meta content="Notes from the training" property="twitter:description">
<meta content="https://gitlab.com/assets/gitlab_logo-7ae504fe4f68fdebb3c2034e36621930cd36ea87924c11ff65dbcb8ed50dca58.png" property="twitter:image">

<title>ssh/README.md · master · CloudwickTraining / Notes · GitLab</title>
<meta content="Notes from the training" name="description">
<link rel="shortcut icon" type="image/x-icon" href="/assets/favicon-075eba76312e8421991a0c1f89a89ee81678bcde72319dd3e8047e2a47cd3a42.ico" />
<link rel="stylesheet" media="all" href="/assets/application-e364b8e72a9507319b25fd03b69fea255cf1eab9a47a1f79c849d774fc8e8783.css" />
<link rel="stylesheet" media="print" href="/assets/print-9c3a1eb4a2f45c9f3d7dd4de03f14c2e6b921e757168b595d7f161bbc320fc05.css" />
<script src="/assets/webpack/application-3ae37e383cdd2529509e.js"></script>
<script>
  window.project_uploads_path = "/CloudwickTraining/Notes/uploads";
  window.preview_markdown_path = "/CloudwickTraining/Notes/preview_markdown";
</script>

<meta name="csrf-param" content="authenticity_token" />
<meta name="csrf-token" content="WTCzJ0/+IR2zXAcLIwGL6cnPIrE5Gz0nru4nheRL8euhQFJXneZUDphz9DX220yP//GImiCcw6R9/M6jVWwmGw==" />
<meta content="origin-when-cross-origin" name="referrer">
<meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
<meta content="#474D57" name="theme-color">
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-iphone-5a9cee0e8a51212e70b90c87c12f382c428870c0ff67d1eb034d884b78d2dae7.png" />
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-ipad-a6eec6aeb9da138e507593b464fdac213047e49d3093fc30e90d9a995df83ba3.png" sizes="76x76" />
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-iphone-retina-72e2aadf86513a56e050e7f0f2355deaa19cc17ed97bbe5147847f2748e5a3e3.png" sizes="120x120" />
<link rel="apple-touch-icon" type="image/x-icon" href="/assets/touch-icon-ipad-retina-8ebe416f5313483d9c1bc772b5bbe03ecad52a54eba443e5215a22caed2a16a2.png" sizes="152x152" />
<link color="rgb(226, 67, 41)" href="/assets/logo-d36b5212042cebc89b96df4bf6ac24e43db316143e89926c0db839ff694d2de4.svg" rel="mask-icon">
<meta content="/assets/msapplication-tile-1196ec67452f618d39cdd85e2e3a542f76574c071051ae7effbfde01710eb17d.png" name="msapplication-TileImage">
<meta content="#30353E" name="msapplication-TileColor">


<!-- Piwik -->
<script>
  var _paq = _paq || [];
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  (function() {
    var u="//piwik.gitlab.com/";
    _paq.push(['setTrackerUrl', u+'piwik.php']);
    _paq.push(['setSiteId', 1]);
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s);
  })();
</script>
<noscript><p><img src="//piwik.gitlab.com/piwik.php?idsite=1" style="border:0;" alt="" /></p></noscript>
<!-- End Piwik Code -->


</head>

<body class="ui_charcoal" data-group="" data-page="projects:blob:show" data-project="Notes">
<script>
//<![CDATA[
window.gon={};gon.api_version="v4";gon.default_avatar_url="https:\/\/gitlab.com\/assets\/no_avatar-849f9c04a3a0d0cea2424ae97b27447dc64a7dbfae83c036c45b403392f0e8ba.png";gon.max_file_size=10;gon.relative_url_root="";gon.shortcuts_path="\/help\/shortcuts";gon.user_color_scheme="white";gon.award_menu_url="\/emojis";gon.katex_css_url="\/assets\/katex-e46cafe9c3fa73920a7c2c063ee8bb0613e0cf85fd96a3aea25f8419c4bfcfba.css";gon.katex_js_url="\/assets\/katex-04bcf56379fcda0ee7c7a63f71d0fc15ffd2e014d017cd9d51fd6554dfccf40a.js";gon.current_user_id=1133890;gon.current_username="mozahid.sufiyan";
//]]>
</script>
<header class="navbar navbar-fixed-top navbar-gitlab with-horizontal-nav">
<a class="sr-only gl-accessibility" href="#content-body" tabindex="1">Skip to content</a>
<div class="container-fluid">
<div class="header-content">
<button aria-label="Toggle global navigation" class="side-nav-toggle" type="button">
<span class="sr-only">Toggle navigation</span>
<i class="fa fa-bars"></i>
</button>
<button class="navbar-toggle" type="button">
<span class="sr-only">Toggle navigation</span>
<i class="fa fa-ellipsis-v"></i>
</button>
<div class="navbar-collapse collapse">
<ul class="nav navbar-nav">
<li class="hidden-sm hidden-xs">
<div class="has-location-badge search search-form">
<form class="navbar-form" action="/search" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><div class="search-input-container">
<div class="location-badge">This project</div>
<div class="search-input-wrap">
<div class="dropdown" data-url="/search/autocomplete">
<input type="search" name="search" id="search" placeholder="Search" class="search-input dropdown-menu-toggle no-outline js-search-dashboard-options" spellcheck="false" tabindex="1" autocomplete="off" data-toggle="dropdown" data-issues-path="https://gitlab.com/dashboard/issues" data-mr-path="https://gitlab.com/dashboard/merge_requests" />
<div class="dropdown-menu dropdown-select">
<div class="dropdown-content"><ul>
<li>
<a class="is-focused dropdown-menu-empty-link">
Loading...
</a>
</li>
</ul>
</div><div class="dropdown-loading"><i class="fa fa-spinner fa-spin"></i></div>
</div>
<i class="search-icon"></i>
<i class="clear-icon js-clear-input"></i>
</div>
</div>
</div>
<input type="hidden" name="group_id" id="group_id" class="js-search-group-options" />
<input type="hidden" name="project_id" id="search_project_id" value="2751501" class="js-search-project-options" data-project-path="Notes" data-name="Notes" data-issues-path="/CloudwickTraining/Notes/issues" data-mr-path="/CloudwickTraining/Notes/merge_requests" />
<input type="hidden" name="search_code" id="search_code" value="true" />
<input type="hidden" name="repository_ref" id="repository_ref" value="master" />

<div class="search-autocomplete-opts hide" data-autocomplete-path="/search/autocomplete" data-autocomplete-project-id="2751501" data-autocomplete-project-ref="master"></div>
</form></div>

</li>
<li class="visible-sm visible-xs">
<a title="Search" aria-label="Search" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/search"><i class="fa fa-search"></i>
</a></li>
<li>
<a title="Todos" aria-label="Todos" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/dashboard/todos"><i class="fa fa-bell fa-fw"></i>
<span class="badge hidden todos-pending-count">
0
</span>
</a></li>
<li class="header-user dropdown">
<a class="header-user-dropdown-toggle" data-toggle="dropdown" href="/mozahid.sufiyan"><img width="26" height="26" class="header-user-avatar" src="https://secure.gravatar.com/avatar/31b27459c2e3b73fed87ec0c9c1e8988?s=52&amp;d=identicon" alt="31b27459c2e3b73fed87ec0c9c1e8988?s=52&amp;d=identicon" />
<i class="fa fa-caret-down"></i>
</a><div class="dropdown-menu-nav dropdown-menu-align-right">
<ul>
<li>
<a class="profile-link" aria-label="Profile" data-user="mozahid.sufiyan" href="/mozahid.sufiyan">Profile</a>
</li>
<li>
<a aria-label="Settings" href="/profile">Settings</a>
</li>
<li>
<a aria-label="Help" href="/help">Help</a>
</li>
<li class="divider"></li>
<li>
<a class="sign-out-link" aria-label="Sign out" rel="nofollow" data-method="delete" href="/users/sign_out">Sign out</a>
</li>
</ul>
</div>
</li>
</ul>
</div>
<h1 class="title"><span><a href="/CloudwickTraining">CloudwickTraining</a></span> / <a class="project-item-select-holder" href="/CloudwickTraining/Notes">Notes</a><button name="button" type="button" class="dropdown-toggle-caret js-projects-dropdown-toggle" aria-label="Toggle switch project dropdown" data-target=".js-dropdown-menu-projects" data-toggle="dropdown" data-order-by="last_activity_at"><i class="fa fa-chevron-down"></i></button></h1>
<div class="header-logo">
<a class="home" title="Dashboard" id="logo" href="/"><svg width="36" height="36" class="tanuki-logo">
  <path class="tanuki-shape tanuki-left-ear" fill="#e24329" d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"/>
  <path class="tanuki-shape tanuki-right-ear" fill="#e24329" d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"/>
  <path class="tanuki-shape tanuki-nose" fill="#e24329" d="M18,34.38 3,14 33,14 Z"/>
  <path class="tanuki-shape tanuki-left-eye" fill="#fc6d26" d="M18,34.38 11.38,14 2,14 6,25Z"/>
  <path class="tanuki-shape tanuki-right-eye" fill="#fc6d26" d="M18,34.38 24.62,14 34,14 30,25Z"/>
  <path class="tanuki-shape tanuki-left-cheek" fill="#fca326" d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"/>
  <path class="tanuki-shape tanuki-right-cheek" fill="#fca326" d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"/>
</svg>

</a></div>
<div class="js-dropdown-menu-projects">
<div class="dropdown-menu dropdown-select dropdown-menu-projects">
<div class="dropdown-title"><span>Go to a project</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i class="fa fa-times dropdown-menu-close-icon"></i></button></div>
<div class="dropdown-input"><input type="search" id="" class="dropdown-input-field" placeholder="Search your projects" autocomplete="off" /><i class="fa fa-search dropdown-input-search"></i><i role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div>
<div class="dropdown-content"></div>
<div class="dropdown-loading"><i class="fa fa-spinner fa-spin"></i></div>
</div>
</div>

</div>
</div>
</header>

<script>
  var findFileURL = "/CloudwickTraining/Notes/find_file/master";
</script>

<div class="page-with-sidebar">
<div class="sidebar-wrapper nicescroll">
<div class="sidebar-action-buttons">
<div class="nav-header-btn toggle-nav-collapse" title="Open/Close">
<span class="sr-only">Toggle navigation</span>
<i class="fa fa-bars"></i>
</div>
<div class="nav-header-btn pin-nav-btn has-tooltip  js-nav-pin" data-container="body" data-placement="right" title="Pin Navigation">
<span class="sr-only">Toggle navigation pinning</span>
<i class="fa fa-fw fa-thumb-tack"></i>
</div>
</div>
<div class="nav-sidebar">
<ul class="nav">
<li class="active home"><a title="Projects" class="dashboard-shortcuts-projects" href="/dashboard/projects"><span>
Projects
</span>
</a></li><li class=""><a class="dashboard-shortcuts-activity" title="Activity" href="/dashboard/activity"><span>
Activity
</span>
</a></li><li class=""><a title="Groups" href="/dashboard/groups"><span>
Groups
</span>
</a></li><li class=""><a title="Milestones" href="/dashboard/milestones"><span>
Milestones
</span>
</a></li><li class=""><a title="Issues" class="dashboard-shortcuts-issues" href="/dashboard/issues?assignee_id=1133890"><span>
Issues
<span class="count">0</span>
</span>
</a></li><li class=""><a title="Merge Requests" class="dashboard-shortcuts-merge_requests" href="/dashboard/merge_requests?assignee_id=1133890"><span>
Merge Requests
<span class="count">0</span>
</span>
</a></li><li class=""><a title="Snippets" href="/dashboard/snippets"><span>
Snippets
</span>
</a></li><a title="About GitLab EE" class="about-gitlab" href="/help"><span>
About GitLab EE
</span>
</a></ul>
</div>

</div>
<div class="layout-nav">
<div class="container-fluid">
<div class="controls">
<div class="dropdown project-settings-dropdown">
<a class="dropdown-new btn btn-default" data-toggle="dropdown" href="#" id="project-settings-button">
<i class="fa fa-cog"></i>
<i class="fa fa-caret-down"></i>
</a>
<ul class="dropdown-menu dropdown-menu-align-right">
<li class=""><a title="Members" class="team-tab tab" href="/CloudwickTraining/Notes/settings/members"><span>
Members
</span>
</a></li>
</ul>
</div>
</div>
<div class="nav-control scrolling-tabs-container">
<div class="fade-left">
<i class="fa fa-angle-left"></i>
</div>
<div class="fade-right">
<i class="fa fa-angle-right"></i>
</div>
<ul class="nav-links scrolling-tabs">
<li class="home"><a title="Project" class="shortcuts-project" href="/CloudwickTraining/Notes"><span>
Project
</span>
</a></li><li class=""><a title="Activity" class="shortcuts-project-activity" href="/CloudwickTraining/Notes/activity"><span>
Activity
</span>
</a></li><li class="active"><a title="Repository" class="shortcuts-tree" href="/CloudwickTraining/Notes/tree/master"><span>
Repository
</span>
</a></li><li class=""><a title="Pipelines" class="shortcuts-pipelines" href="/CloudwickTraining/Notes/pipelines"><span>
Pipelines
</span>
</a></li><li class=""><a title="Container Registry" class="shortcuts-container-registry" href="/CloudwickTraining/Notes/container_registry"><span>
Registry
</span>
</a></li><li class=""><a title="Graphs" class="shortcuts-graphs" href="/CloudwickTraining/Notes/graphs/master"><span>
Graphs
</span>
</a></li><li class=""><a title="Issues" class="shortcuts-issues" href="/CloudwickTraining/Notes/issues"><span>
Issues
<span class="badge count issue_counter">0</span>
</span>
</a></li><li class=""><a title="Merge Requests" class="shortcuts-merge_requests" href="/CloudwickTraining/Notes/merge_requests"><span>
Merge Requests
<span class="badge count merge_counter">0</span>
</span>
</a></li><li class=""><a title="Wiki" class="shortcuts-wiki" href="/CloudwickTraining/Notes/wikis/home"><span>
Wiki
</span>
</a></li><li class="hidden">
<a title="Network" class="shortcuts-network" href="/CloudwickTraining/Notes/network/master">Network
</a></li>
<li class="hidden">
<a class="shortcuts-new-issue" href="/CloudwickTraining/Notes/issues/new">Create a new issue
</a></li>
<li class="hidden">
<a title="Jobs" class="shortcuts-builds" href="/CloudwickTraining/Notes/builds">Jobs
</a></li>
<li class="hidden">
<a title="Commits" class="shortcuts-commits" href="/CloudwickTraining/Notes/commits/master">Commits
</a></li>
<li class="hidden">
<a title="Issue Boards" class="shortcuts-issue-boards" href="/CloudwickTraining/Notes/boards">Issue Boards</a>
</li>
</ul>
</div>

</div>
</div>
<div class="content-wrapper page-with-layout-nav">
<div class="scrolling-tabs-container sub-nav-scroll">
<div class="fade-left">
<i class="fa fa-angle-left"></i>
</div>
<div class="fade-right">
<i class="fa fa-angle-right"></i>
</div>

<div class="nav-links sub-nav scrolling-tabs">
<ul class="container-fluid container-limited">
<li class="active"><a href="/CloudwickTraining/Notes/tree/master">Files
</a></li><li class=""><a href="/CloudwickTraining/Notes/commits/master">Commits
</a></li><li class=""><a href="/CloudwickTraining/Notes/network/master">Network
</a></li><li class=""><a href="/CloudwickTraining/Notes/compare?from=master&amp;to=master">Compare
</a></li><li class=""><a href="/CloudwickTraining/Notes/branches">Branches
</a></li><li class=""><a href="/CloudwickTraining/Notes/tags">Tags
</a></li><li class=""><a href="/CloudwickTraining/Notes/path_locks">Locked Files
</a></li></ul>
</div>
</div>

<div class="alert-wrapper">


<div class="flash-container flash-container-page">
</div>


</div>
<div class=" ">
<div class="content" id="content-body">

<div class="container-fluid container-limited">

<div class="tree-holder" id="tree-holder">
<div class="nav-block">
<div class="tree-ref-holder">
<form class="project-refs-form" action="/CloudwickTraining/Notes/refs/switch" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="destination" id="destination" value="blob" />
<input type="hidden" name="path" id="path" value="ssh/README.md" />
<div class="dropdown">
<button class="dropdown-menu-toggle js-project-refs-dropdown" type="button" data-toggle="dropdown" data-selected="master" data-ref="master" data-refs-url="/CloudwickTraining/Notes/refs" data-field-name="ref" data-submit-form-on-click="true"><span class="dropdown-toggle-text ">master</span><i class="fa fa-chevron-down"></i></button>
<div class="dropdown-menu dropdown-menu-selectable">
<div class="dropdown-title"><span>Switch branch/tag</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i class="fa fa-times dropdown-menu-close-icon"></i></button></div>
<div class="dropdown-input"><input type="search" id="" class="dropdown-input-field" placeholder="Search branches and tags" autocomplete="off" /><i class="fa fa-search dropdown-input-search"></i><i role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div>
<div class="dropdown-content"></div>
<div class="dropdown-loading"><i class="fa fa-spinner fa-spin"></i></div>
</div>
</div>
</form>
</div>
<ul class="breadcrumb repo-breadcrumb">
<li>
<a href="/CloudwickTraining/Notes/tree/master">Notes
</a></li>
<li>
<a href="/CloudwickTraining/Notes/tree/master/ssh">ssh</a>

</li>
<li>
<a href="/CloudwickTraining/Notes/blob/master/ssh/README.md"><strong>
README.md
</strong>
</a>
</li>
</ul>
</div>
<ul class="blob-commit-info table-list hidden-xs">
<li class="commit table-list-row js-toggle-container" id="commit-f1c04ff3">
<div class="table-list-cell avatar-cell hidden-xs">
<a href="/svyotov"><img class="avatar has-tooltip s36 hidden-xs" alt="Stanislav Yotov&#39;s avatar" title="Stanislav Yotov" data-container="body" src="https://secure.gravatar.com/avatar/87177477b070a2655037ec3dcf1076b3?s=72&amp;d=identicon" /></a>
</div>
<div class="table-list-cell commit-content">
<a class="commit-row-message item-title" href="/CloudwickTraining/Notes/commit/f1c04ff364c6d9e8e4aff126ce1c6bb10c4d93fe">Update README.md</a>
<span class="commit-row-message visible-xs-inline">
&middot;
f1c04ff3
</span>
<div class="commiter">
<a class="commit-author-link has-tooltip" title="yotov.st@gmail.com" href="/svyotov">Stanislav Yotov</a>
committed
<time class="js-timeago" title="Feb 21, 2017 6:04pm" datetime="2017-02-21T18:04:56Z" data-toggle="tooltip" data-placement="top" data-container="body">2017-02-21 18:04:56 +0000</time>
</div>
</div>
<div class="table-list-cell commit-actions hidden-xs">
<button class="btn btn-clipboard btn-transparent" data-toggle="tooltip" data-placement="bottom" data-container="body" data-clipboard-text="f1c04ff364c6d9e8e4aff126ce1c6bb10c4d93fe" data-title="Copy commit SHA to clipboard" type="button" title="Copy commit SHA to clipboard"><i class="fa fa-clipboard"></i></button>
<a class="commit-short-id btn btn-transparent" href="/CloudwickTraining/Notes/commit/f1c04ff364c6d9e8e4aff126ce1c6bb10c4d93fe">f1c04ff3</a>

</div>
</li>

</ul>
<div class="blob-content-holder" id="blob-content-holder">
<article class="file-holder">
<div class="file-title">
<i class="fa fa-file-text-o fa-fw"></i>
<strong>
README.md
</strong>
<small>
2.25 KB
</small>
<div class="file-actions hidden-xs">
<div class="btn-group">

</div>
<div class="btn-group tree-btn-group">
<a class="btn btn-sm" target="_blank" href="/CloudwickTraining/Notes/raw/master/ssh/README.md">Raw</a>
<a class="btn btn-sm" href="/CloudwickTraining/Notes/blame/master/ssh/README.md">Blame</a>
<a class="btn btn-sm" href="/CloudwickTraining/Notes/commits/master/ssh/README.md">History</a>
<a class="btn btn-sm js-data-file-blob-permalink-url" href="/CloudwickTraining/Notes/blob/926590ac0d3c1319ea22a4c5c6c1eed4039889b6/ssh/README.md">Permalink</a>
</div>
<div class="btn-group" role="group">
<a class="btn btn-sm path-lock has-tooltip" data-state="lock" data-toggle="tooltip" title="" href="#">Lock</a>
<a class="btn btn-sm" href="/CloudwickTraining/Notes/edit/master/ssh/README.md">Edit</a>
<button name="button" type="submit" class="btn btn-default" data-target="#modal-upload-blob" data-toggle="modal">Replace</button>
<button name="button" type="submit" class="btn btn-remove" data-target="#modal-remove-blob" data-toggle="modal">Delete</button>
</div>
<script>
  PathLocks.init(
    '/CloudwickTraining/Notes/path_locks/toggle',
    'ssh/README.md'
  );
</script>

</div>
</div>
<div class="file-content wiki">
<h1 dir="auto">&#x000A;<a id="user-content-setting-up-ssh-access-to-a-server" class="anchor" href="#setting-up-ssh-access-to-a-server" aria-hidden="true"></a>Setting up <code>ssh</code> access to a server</h1>&#x000A;&#x000A;<ol dir="auto">&#x000A;<li>Create the <code>.ssh</code> directory into your home <code>~/</code> directory containing your ssh configurations <code>mkdir -p ~/.ssh</code>&#x000A;</li>&#x000A;<li>&#x000A;<p>Create a <code>ssh key</code> using the <code>ssh-keygen</code> command (follows template command and real example)</p>&#x000A;&#x000A;<ol>&#x000A;<li>Generate the keys&#x000A;<code>ssh-keygen -t rsa -C "&lt;your.name&gt;@&lt;domain&gt;" -b 4096 -f $HOME/.ssh/&lt;filename&gt;&#x000A; ssh-keygen -t rsa -b 4096 -C "firstname.lastname@cloudwick.com" -f $HOME/.ssh/id_rsa_cloudwick</code>&#x000A;</li>&#x000A;<li>Explanation:&#x000A;&#x000A;<ul>&#x000A;<li>&#x000A;<code>-b 4096</code>: the <code>SSH</code> key length</li>&#x000A;<li>&#x000A;<code>-f $HOME/.ssh/&lt;filename&gt;</code> : where should the <code>ssh</code> key be stored</li>&#x000A;<li>&#x000A;<code>-C "email or description"</code> : A message appended to the end of the public key describing the key. For example you can use your email or the service name you are creating this for like <code>GitLab</code> </li>&#x000A;</ul>&#x000A;</li>&#x000A;<li>See the generated key fils&#x000A;<code>ls -la ~/.ssh</code>&#x000A;</li>&#x000A;<li>Remove the read permision for others (o) and for group (g) from the files we generated</li>&#x000A;</ol>&#x000A;&#x000A;<pre class="code highlight js-syntax-highlight shell" lang="shell" v-pre="true"><code>chmod o-r ~/.ssh/<span class="k">*</span>_cloud<span class="k">*</span>&#x000A;chmod g-r ~/.ssh/<span class="k">*</span>_cloud<span class="k">*</span>&#x000A;</code></pre>&#x000A;&#x000A;<ol>&#x000A;<li>If we wanted to give read permition to groups: <code># chmod g+r ~/.ssh/*_cloud*</code>&#x000A;</li>&#x000A;</ol>&#x000A;</li>&#x000A;<li>&#x000A;<p>Setup the configurations for ssh to know how to connect to this server.</p>&#x000A;&#x000A;<ol>&#x000A;<li>Open <code>~/.ssh/confing</code> for editing&#x000A;<code>vim ~/.ssh/confing</code>&#x000A;</li>&#x000A;<li>Write the bellow configuration into the file</li>&#x000A;</ol>&#x000A;&#x000A;<pre class="code highlight js-syntax-highlight shell" lang="shell" v-pre="true"><code>Host openstack openstack.cloudwick.com&#x000A;    Hostname openstack.cloudwick.com&#x000A;    Port 1947&#x000A;    User &lt;yourname&gt;&#x000A;    IdentityFile ~/.ssh/id_rsa_cloudwick&#x000A;</code></pre>&#x000A;</li>&#x000A;<li>&#x000A;<p>Give our publick key to the server so that in the future the server recognises you.</p>&#x000A;&#x000A;<pre class="code highlight js-syntax-highlight shell" lang="shell" v-pre="true"><code>ssh-copy-id -i ~/.ssh/id_rsa_cloudwick openstack&#x000A;</code></pre>&#x000A;&#x000A;<ul>&#x000A;<li>Note: The above will go to the server file <code>~/.ssh/authorised_keys</code> for the <code>&lt;yourname&gt;</code> from the <code>~/.ssh/config</code> and add a line with the contents of <code>~/.ssh/id_rsa_cloudwick.pub</code> from your local machine &lt;- which means you will have access to the server from that point on with the ssh key.</li>&#x000A;</ul>&#x000A;</li>&#x000A;<li><p>Then you can connect to the server using <code>ssh openstack</code></p></li>&#x000A;</ol>&#x000A;&#x000A;<h1 dir="auto">&#x000A;<a id="user-content-connect-to-a-server-without-configuring-sshconfig" class="anchor" href="#connect-to-a-server-without-configuring-sshconfig" aria-hidden="true"></a>Connect to a server without configuring <code>~/.ssh/config</code>&#x000A;</h1>&#x000A;&#x000A;<p dir="auto">To connect to the server without extra configurations, but having done the rest of the steps like <code>ssh-keygen</code> and <code>ssh-copy-id</code> :</p>&#x000A;&#x000A;<ul dir="auto">&#x000A;<li><code>ssh -i ~/.ssh/&lt;id_file_name&gt; &lt;username&gt;@&lt;serverDNS&gt; -p &lt;port_number&gt;</code></li>&#x000A;</ul>
</div>

</article>
</div>

</div>
<div class="modal" id="modal-remove-blob">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<a class="close" data-dismiss="modal" href="#">×</a>
<h3 class="page-title">Delete README.md</h3>
</div>
<div class="modal-body">
<form class="form-horizontal js-replace-blob-form js-quick-submit js-requires-input" action="/CloudwickTraining/Notes/blob/master/ssh/README.md" accept-charset="UTF-8" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="_method" value="delete" /><input type="hidden" name="authenticity_token" value="qC6TCo0WbdoGIq2hV9ykYwhgdlivvkb1BDBEGzRrYu9QXnJ6Xw4YyS0NXp+CBmMFPl7cc7Y5uHbXIq09hUy1Hw==" /><div class="form-group commit_message-group">
<label class="control-label" for="commit_message-b97ef954b05b49c777fd418213997dda">Commit message
</label><div class="col-sm-10">
<div class="commit-message-container">
<div class="max-width-marker"></div>
<textarea name="commit_message" id="commit_message-b97ef954b05b49c777fd418213997dda" class="form-control js-commit-message" placeholder="Delete README.md" required="required" rows="3">
Delete README.md</textarea>
</div>
</div>
</div>

<div class="form-group branch">
<label class="control-label" for="target_branch">Target branch</label>
<div class="col-sm-10">
<input type="text" name="target_branch" id="target_branch" value="master" required="required" class="form-control js-target-branch" />
<div class="js-create-merge-request-container">
<div class="checkbox">
<label for="create_merge_request-f224236a5bf05b41f26a3ad9c3eead30"><input type="checkbox" name="create_merge_request" id="create_merge_request-f224236a5bf05b41f26a3ad9c3eead30" value="1" class="js-create-merge-request" checked="checked" />
Start a <strong>new merge request</strong> with these changes
</label></div>
</div>
</div>
</div>
<input type="hidden" name="original_branch" id="original_branch" value="master" class="js-original-branch" />

<div class="form-group">
<div class="col-sm-offset-2 col-sm-10">
<button name="button" type="submit" class="btn btn-remove btn-remove-file">Delete file</button>
<a class="btn btn-cancel" data-dismiss="modal" href="#">Cancel</a>
</div>
</div>
</form></div>
</div>
</div>
</div>
<script>
  new NewCommitForm($('.js-replace-blob-form'))
</script>

<div class="modal" id="modal-upload-blob">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<a class="close" data-dismiss="modal" href="#">×</a>
<h3 class="page-title">Replace README.md</h3>
</div>
<div class="modal-body">
<form class="js-quick-submit js-upload-blob-form form-horizontal" action="/CloudwickTraining/Notes/update/master/ssh/README.md" accept-charset="UTF-8" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="_method" value="put" /><input type="hidden" name="authenticity_token" value="09p5CcoyxDi65A9qjfPeETD5RluQ/OecZqQandeyhfkrqph5GCqxK5HL/FRYKRl3BsfscIl7GR+1tvO7ZpVSCQ==" /><div class="dropzone">
<div class="dropzone-previews blob-upload-dropzone-previews">
<p class="dz-message light">
Attach a file by drag &amp; drop or
<a class="markdown-selector" href="#">click to upload</a>
</p>
</div>
</div>
<br>
<div class="dropzone-alerts alert alert-danger data" style="display:none"></div>
<div class="form-group commit_message-group">
<label class="control-label" for="commit_message-1f10cb7158e51df6f9af38dbf2c6644a">Commit message
</label><div class="col-sm-10">
<div class="commit-message-container">
<div class="max-width-marker"></div>
<textarea name="commit_message" id="commit_message-1f10cb7158e51df6f9af38dbf2c6644a" class="form-control js-commit-message" placeholder="Replace README.md" required="required" rows="3">
Replace README.md</textarea>
</div>
</div>
</div>

<div class="form-group branch">
<label class="control-label" for="target_branch">Target branch</label>
<div class="col-sm-10">
<input type="text" name="target_branch" id="target_branch" value="master" required="required" class="form-control js-target-branch" />
<div class="js-create-merge-request-container">
<div class="checkbox">
<label for="create_merge_request-373b6c5872310cca35145e5aa6f53038"><input type="checkbox" name="create_merge_request" id="create_merge_request-373b6c5872310cca35145e5aa6f53038" value="1" class="js-create-merge-request" checked="checked" />
Start a <strong>new merge request</strong> with these changes
</label></div>
</div>
</div>
</div>
<input type="hidden" name="original_branch" id="original_branch" value="master" class="js-original-branch" />

<div class="form-actions">
<button name="button" type="submit" class="btn btn-small btn-create btn-upload-file" id="submit-all">Replace file</button>
<a class="btn btn-cancel" data-dismiss="modal" href="#">Cancel</a>
</div>
</form></div>
</div>
</div>
</div>
<script>
  gl.utils.disableButtonIfEmptyField($('.js-upload-blob-form').find('.js-commit-message'), '.btn-upload-file');
  new BlobFileDropzone($('.js-upload-blob-form'), 'put');
  new NewCommitForm($('.js-upload-blob-form'))
</script>

</div>

</div>
</div>
</div>
</div>



</body>
</html>

